Bug 799243 - Failing ExpressionAssignmentHandler jBPM tests.
Failing ExpressionAssignmentHandler jBPM tests.
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBPM - within SOA (Show other bugs)
5.3.0 GA
Unspecified Unspecified
low Severity medium
: ER2
: 5.3.0 GA
Assigned To: Shelly McGowan
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 04:00 EST by Marek Baluch
Modified: 2016-09-20 01:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.3.0 GA
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2012-03-02 04:00:27 EST
Description of problem:

Method org.jbpm.logging.exe.LoggingInstance.getLogs() has changed. It now returns an umodifiable collection. This causes the following two tests to fail

org.jbpm.identity.assignment.ExpressionAssignmentHandlerTest.testFirstTermVariableUser
org.jbpm.identity.assignment.ExpressionAssignmentHandlerTest.testFirstTermVariableGroup 

with message:

ava.lang.UnsupportedOperationException
	at java.util.Collections$UnmodifiableCollection$1.remove(Collections.java:1028)
	at org.jbpm.identity.assignment.ExpressionAssignmentHandlerTest.deleteLogs(ExpressionAssignmentHandlerTest.java:163)
	at org.jbpm.identity.assignment.ExpressionAssignmentHandlerTest.testFirstTermVariableUser(ExpressionAssignmentHandlerTest.java:142)
	at org.jbpm.db.AbstractDbTestCase.runTest(AbstractDbTestCase.java:73)
Comment 1 Marco Rietveld 2012-03-02 13:57:05 EST
Marek, 

This _was_ a problem, but I'm pretty sure I fixed it: 

http://viewvc.jboss.org/cgi-bin/viewvc.cgi/jbpm/jbpm3/branches/jbpm-3.2-soa/core/src/main/java/org/jbpm/logging/exe/LoggingInstance.java?r1=7060&r2=7072

See https://svn.jboss.org/repos/jbpm/jbpm3/tags/jbpm-3.2.12/core/src/main/java/org/jbpm/logging/exe/LoggingInstance.java
as well, where this is: 

  /**
   * If you modify the returned list in any way, you run the risk 
   * of causing exceptions in a concurrent situation. 
   * 
   * @return The list of logs
   */
  public List getLogs() {
    return logs;
  }

Maybe mead or the build grabbed it too early? 

(or did I miss something?)
Comment 2 Marek Baluch 2012-03-05 01:34:38 EST
Yes this one is related to the build process. It grabbed revision 7071. 

Thanks Marco
Comment 3 Rick Wagner 2012-03-19 17:38:04 EDT
Looks done, low priority.
Comment 4 Marek Baluch 2012-05-02 07:39:50 EDT
Verified on ER2.

Note You need to log in before you can comment on or make changes to this bug.